signature Deflate =
sig
	val uncompressed : DeflateIO.byteio -> DeflateIO.byteio
	(*
	 process uncompressed block
	*)
	
	val compressed_variable : DeflateIO.byteio -> DeflateIO.byteio
	(*
	 process compressed block with dynamic huffman trees
	*)
	
	val compressed_fixed : DeflateIO.byteio -> DeflateIO.byteio
	(*
	 process compressed fixed block
	*)
	
	val inflate : DeflateIO.byteio -> DeflateIO.byteio
	(*
	 process DEFLATE compressed io stream until end marker
	*)
	
	val inflate_list : int list -> int list
	(*
	 like inflate on list of bytes
	*)
	
	(* self tests *)
	val tests: bool list
end
