signature Gzip =
sig

	val get_header : DeflateIO.byteio -> (int * string option * string option * int) * DeflateIO.byteio
	(* get header info from gzip file (date,name,comment,os) *)
	
	val get_trailer : DeflateIO.byteio -> (int * int) * DeflateIO.byteio
	(* get trailer after compressed block (crc, isize) *)
	
	val unzip_io : DeflateIO.byteio -> DeflateIO.byteio
	(* unzip on an IO block, output of result contains uncompressed file *)
	
	val unzip_string : string -> string
	(* unzip .gz file included in a string, return uncompressed file in string *)
	
end
